package com.gic.haoban.manage.web.vo;

import com.gic.clerk.api.dto.ClerkDTO;
import com.gic.enterprise.api.dto.StoreDTO;
import lombok.Data;

/**
 * Created by wangzubo on 2025/3/22.
 */
@Data
public class StoreClerkInfoVO {

    /**
     * 导购id
     */
    private String clerkId;

    /**
     * 导购code
     */
    private String clerkCode;

    /**
     * 导购名称
     */
    private String clerkName;

    /**
     * 门店id
     */
    private String storeId;

    /**
     * 门店code
     */
    private String storeCode;

    /**
     * 门店名称
     */
    private String storeName;

    /**
     * 0-正价店，1-折扣店
     */
    private Integer storeDiscountType;

    public void setClerk(ClerkDTO clerkDTO) {
        if (clerkDTO == null) {
            return;
        }
        this.setClerkId(clerkDTO.getClerkId());
        this.setClerkCode(clerkDTO.getClerkCode());
        this.setClerkName(clerkDTO.getClerkName());
    }

    public void setStore(StoreDTO storeDTO) {
        if (storeDTO == null) {
            return;
        }
        this.setStoreId(storeDTO.getStoreId());
        this.setStoreCode(storeDTO.getStoreCode());
        this.setStoreName(storeDTO.getStoreName());
        this.setStoreDiscountType(storeDTO.getStoreDiscountType());
    }

}
